6.0.0-git
2019-04-24

[#7264] Remember the expanded/collapsed state of message headers in the preview pane
Summary Remember the expanded/collapsed state of message headers in the preview pane
Queue DIMP
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester chuck (at) horde (dot) org
Created 2008-08-30 (3889 days ago)
Due
Updated 2010-01-12 (3389 days ago)
Assigned 2008-10-21 (3837 days ago)
Resolved 2008-12-12 (3785 days ago)
Milestone
Patch No

History
2008-12-12 05:22:25 Michael Slusarz Comment #9
State ⇒ Resolved
Reply to this comment
Implemented in IMP 5.
2008-10-21 15:51:14 Chuck Hagenbuch Comment #8
State ⇒ Assigned
Reply to this comment
So thinking about this more, I am back to my original decision: I
think there should be a preference over whether you want open or
closed by default and that's it.  No cookie/pref switching on toggle.
  You could add a "Remember last view" option, but that's starting to
add a bit of complexity.
I will live with a preference for open/closed (as long as the behavior 
remains consistent - right now the toggle state is kept within limits 
within a session), but I really think that this should be like other 
UI elements of desktop-like programs: it should stay where you left 
it. Like the panels in the groupware apps, like the state of UI 
elements in other programs, if you left it open it should be open, if 
you left it closed it should be closed. I think we should try and 
follow that consistently where we can.
2008-09-02 18:42:43 Michael Slusarz Comment #7
State ⇒ Feedback
Reply to this comment
Is performance really the reason you don't want this to be a regular
pref? I don't think there are going to be *that* many toggle actions.
Disagree with this statement - I toggle all the time.  But the real 
reason is I disagree with this statement:
I was suggesting that open/closed should be sticky across messages
and across sessions. I usually want to stick with the view I had
last, until I change my mind, in which case I want that one to stick.
That is not what I want.  I don't want my last toggle view to be 
sticky.  I generally toggle only to see headers for certain messages - 
I don't want fuller header information most of the time because what I 
care about is the preview text.  So when I toggle a header, I don't 
want that toggle to be permanent - I only want the current message to 
be toggled. (I think there is a bug now that doesn't toggle back on 
the next message view, but at least the toggle state isn't carried 
over across sessions).



So thinking about this more, I am back to my original decision: I 
think there should be a preference over whether you want open or 
closed by default and that's it.  No cookie/pref switching on toggle.   
You could add a "Remember last view" option, but that's starting to 
add a bit of complexity.


2008-09-02 18:28:35 Chuck Hagenbuch Comment #6 Reply to this comment
Is performance really the reason you don't want this to be a regular 
pref? I don't think there are going to be *that* many toggle actions.
2008-09-02 17:23:10 Michael Slusarz Comment #5
Assigned to Michael Slusarz
State ⇒ Accepted
Reply to this comment
I agree with Chuck. Though I would consider storing this as a cookie
sufficient, if we want to spare the Ajax call.
I could live with this being a cookie pref, not a "regular" pref.
2008-08-31 16:37:27 Jan Schneider Comment #4 Reply to this comment
I agree with Chuck. Though I would consider storing this as a cookie 
sufficient, if we want to spare the Ajax call.
2008-08-30 19:23:04 Chuck Hagenbuch Comment #3 Reply to this comment
I was suggesting that open/closed should be sticky across messages and 
across sessions. I usually want to stick with the view I had last, 
until I change my mind, in which case I want that one to stick.
2008-08-30 17:53:16 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
Are you asking for this to be set via AJAX call like sorting is?  I 
don't think this makes sense.  Switching between open and close 
shouldn't be sticky between messages or across different sessions.  I 
would agree with an explicit preference of "should the preview headers 
bar default open/close?"
2008-08-30 02:13:16 Chuck Hagenbuch Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Remember the expanded/collapsed state of message headers in the preview pane
Queue ⇒ DIMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
We should have an implicit preference to remember whether message 
headers are expanded or collapsed in the preview pane.

Saved Queries